Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::SupplierAdmin Interface Reference

Interface used to control and obtain the proxies used by suppliers. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::SupplierAdmin:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::SupplierAdmin:

[legend]
List of all members.

## Public Methods
ProxyConsumer | get_proxy_consumer (in ProxyID proxy_id) raises ( ProxyNotFound )
| Get an specific ProxyConsumer. More...
ProxyConsumer | obtain_notification_pull_consumer (in ClientType ctype, out ProxyID proxy_id) raises ( AdminLimitExceeded )
| Create a new pull-style proxy consumer. More...
ProxyConsumer | obtain_notification_push_consumer (in ClientType ctype, out ProxyID proxy_id) raises ( AdminLimitExceeded )
| Create a new push-style proxy consumer. More...
void | destroy ()
| Destroy the Admin. More...
## Public Attributes
readonly attribute AdminID | MyID
| The ID assigned to this admin by its event channel. More...
readonly attribute EventChannel | MyChannel
| The event channel this admin belongs to. More...
readonly attribute InterFilterGroupOperator | MyOperator
| How are multiple filters interpreted. More...
readonly attribute ProxyIDSeq | pull_consumers
| Get the complete list of pull proxy consumers. More...
readonly attribute ProxyIDSeq | push_consumers
| Get the complete list of push proxy consumers. More...

## Detailed Description

Interface used to control and obtain the proxies used by suppliers.

## Member Function Documentation

void CosNotifyChannelAdmin::SupplierAdmin::destroy | ( |  | ) |

| Destroy the Admin.

ProxyConsumer CosNotifyChannelAdmin::SupplierAdmin::get_proxy_consumer | ( | in ProxyID | proxy_id | ) | raises ( ProxyNotFound )

  | Get an specific ProxyConsumer. Parameters:
  proxy_id | The proxy ID that will be retrieved
  Exceptions:
  ProxyNotFound | if the proxy_id is not found in this SupplierAdmin

ProxyConsumer CosNotifyChannelAdmin::SupplierAdmin::obtain_notification_pull_consumer | ( | in ClientType | ctype,
|  | out ProxyID | proxy_id
| ) | raises ( AdminLimitExceeded )

  | Create a new pull-style proxy consumer. Parameters:
  ctype | The event format that the ProxyConsumer should support
  proxy_id | The ID assigned to the new proxy consumer
  Returns: The new ProxyConsumer Exceptions:
  AdminLimitExceeded | if a limit in this admin is reached, such as the maximum number of proxies.

ProxyConsumer CosNotifyChannelAdmin::SupplierAdmin::obtain_notification_push_consumer | ( | in ClientType | ctype,
|  | out ProxyID | proxy_id
| ) | raises ( AdminLimitExceeded )

  | Create a new push-style proxy consumer. Parameters:
  ctype | The event format that the ProxyConsumer should support
  proxy_id | The ID assigned to the new proxy consumer
  Returns: The new ProxySupplier Exceptions:
  AdminLimitExceeded | if a limit in this admin is reached, such as the maximum number of proxies.

## Member Data Documentation

readonly attribute EventChannel CosNotifyChannelAdmin::SupplierAdmin::MyChannel

| The event channel this admin belongs to.

readonly attribute AdminID CosNotifyChannelAdmin::SupplierAdmin::MyID

| The ID assigned to this admin by its event channel.

readonly attribute InterFilterGroupOperator CosNotifyChannelAdmin::SupplierAdmin::MyOperator

| How are multiple filters interpreted.

readonly attribute ProxyIDSeq CosNotifyChannelAdmin::SupplierAdmin::pull_consumers

| Get the complete list of pull proxy consumers.

readonly attribute ProxyIDSeq CosNotifyChannelAdmin::SupplierAdmin::push_consumers

| Get the complete list of push proxy consumers.

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl